/*------------------------------------*\
    			SETTINGS
\*------------------------------------*/
/* @group CSS2 Variables */
:root {
  /* Font Styles */
  --epcl-font-family: "Quattrocento Sans", "Arial", sans-serif;
  --epcl-title-font-family: "Playfair Display", "Times New Roman", serif;
  --epcl-font-size: 16px;
  /* General content font size */
  --epcl-line-height: 1.8;
  /* General content line height */
  --epcl-font-size-editor: 18px;
  /* Single Content font size */
  --epcl-line-height-editor: 1.8;
  /* Single Content line height */
  /* Colors */
  --epcl-main-color: #FEBDD0;
  /* Default: #FEBDD0; */
  --epcl-secondary-color: #FFD682;
  /* Default: #FFD682; */
  --epcl-titles-color: #1E1B1B;
  /* Default: #1E1B1B; */
  --epcl-text-color: #3B3A3A;
  /* Default: #3B3A3A; */
  --epcl-background-color: #FFF6E6;
  /* Default: #FFF6E6; */
  --epcl-boxes-background-color: #FFF0D3;
  /* Default: #FFF0D3; */
  --epcl-boxes-border-color: #FFEBC4;
  /* Default: #FFEBC4; */
  --epcl-border-color: #707070;
  /* General border color */
  --epcl-soft-border-color: rgba(0,0,0, 0.07);
  /* Soft border color */
  --epcl-editor-boxes-bg-color: #FFF;
  /* Koenig Cards: Bookmarks, Product, Tables, etc */
  --epcl-input-bg-color: #FFF;
  /* Input boxes background color */
  --epcl-boxes-shadow: 0px 2px 5px 0px rgba(0,0,0, 0.03);
  --epcl-small-shadow: 0px 2px 5px 0px rgba(0,0,0, 0.02);
  /* Used on small images (like widgets or related articles) */
  --epcl-medium-shadow: 0px 8px 16px -4px rgba(0,0,0, 0.05);
  --epcl-large-shadow: 0px 4px 25px -4px rgba(0,0,0, 0.15);
  --epcl-transition-bezier: cubic-bezier(.5,2.5,.7,.7);
  /* Coding */
  --epcl-code-background: #FFF;
  /* fff7ef Used on "code" blocks not syntax highlighter */
  --epcl-code-color: #3B3A3A;
  /* 9e4a13 Used on code blocks not syntax highlighter */
  /* Others */
  --epcl-small-border-radius: 4px;
  /* Used on small elements (buttons) */
  --epcl-medium-border-radius: 10px;
  /* Used on medium elements (boxes) */
  --epcl-large-border-radius: 100px;
  /* Used to generate circles */
  --x: 2px;
  /* Button border offset */
  --y: 3px;
  /* Button border offset */
}

/* @end */
/* @group Font Families */
/* @end */
/* @end */
/* @group Effects speed */
/* @end */
/* @group Content Width and Margins */
/* @end */
/* Core Styles */
.toc {
  overflow-y: auto;
}

.toc > .toc-list {
  overflow: hidden;
  position: relative;
}

.toc > .toc-list li {
  list-style: none;
}

.toc-list {
  margin: 0;
  padding-left: 30px;
  font-size: 15px;
}

.toc-list .toc-list {
  padding: 5px;
  padding-left: 20px;
  font-size: 15px;
}

a.toc-link {
  display: inline-block;
  height: 100%;
  padding: 5px 0 0;
}

.is-collapsible {
  max-height: 500px;
  overflow: hidden;
  opacity: 1;
  -webkit-transition: all 300ms ease-in-out;
  transition: all 300ms ease-in-out;
}

.is-collapsed {
  max-height: 0;
  opacity: 0;
}

.is-position-fixed {
  position: fixed !important;
  top: 0;
}

.is-active-link {
  font-weight: 600;
  color: #000;
}

/* Default Theme Styles */
.toc-link::before {
  background-color: var(--epcl-border-color);
  content: ' ';
  display: inline-block;
  height: inherit;
  left: 0;
  margin-top: -1px;
  position: absolute;
  width: 2px;
  -webkit-transition: all 300ms ease;
  transition: all 300ms ease;
}

.is-active-link::before {
  background-color: var(--epcl-main-color);
}
